Bug 1292495 - Incompatibility between IPA client and server versions
Incompatibility between IPA client and server versions
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.5
Assigned To: Joe Vlcek
luke couzens
: ZStream
Depends On: 1292146
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-17 10:19 EST by John Prause
Modified: 2016-07-26 11:30 EDT (History)
9 users (show)

See Also:
Fixed In Version: 5.5.5.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1292146
Environment:
Last Closed: 2016-07-26 11:30:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 3 CFME Bot 2016-06-15 16:22:33 EDT
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=d54f9985c7e828d2a14f0142b1bd876f0504a6ae

commit d54f9985c7e828d2a14f0142b1bd876f0504a6ae
Merge: 5a10e12 f536188
Author:     Alberto Bellotti <abellott@redhat.com>
AuthorDate: Wed Jun 15 16:22:25 2016 -0400
Commit:     Alberto Bellotti <abellott@redhat.com>
CommitDate: Wed Jun 15 16:22:25 2016 -0400

    Merge branch 'bz_1292495' into '5.5.z'
    
    [auth] Adding support for 6.x based IPA servers
    
    With the 7.2 IPA client we need to skip the version check to
    we can seamlessly work with 6.x based IPA servers.
    
    Fixes BZ:
    https://bugzilla.redhat.com/show_bug.cgi?id=1292495
    
    Clean cherry-pick of:
    https://github.com/ManageIQ/manageiq/pull/7278
    
    Trello: https://trello.com/c/XVfwkvGF
    
    See merge request !975

 gems/pending/appliance_console/principal.rb           | 4 ++--
 gems/pending/spec/appliance_console/principal_spec.rb | 6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)
Comment 4 CFME Bot 2016-06-15 16:22:37 EDT
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=f536188bd9091345b25fba4e759b1a3ec335212f

commit f536188bd9091345b25fba4e759b1a3ec335212f
Author:     Alberto Bellotti <abellott@redhat.com>
AuthorDate: Mon Mar 14 16:22:18 2016 -0400
Commit:     Joe VLcek <jvlcek@redhat.com>
CommitDate: Wed Jun 15 12:09:58 2016 -0400

    [auth] Adding support for 6.x based IPA servers
    
    With the 7.2 IPA client we need to skip the version check to
    we can seamlessly work with 6.x based IPA servers.
    
    Fixes BZ:
    https://bugzilla.redhat.com/show_bug.cgi?id=1292495
    
    Clean cherry-pick of:
    https://github.com/ManageIQ/manageiq/pull/7278
    
    Trello: https://trello.com/c/XVfwkvGF

 gems/pending/appliance_console/principal.rb           | 4 ++--
 gems/pending/spec/appliance_console/principal_spec.rb | 6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)
Comment 6 luke couzens 2016-07-05 12:33:10 EDT
Verified in 5.5.5
Comment 8 errata-xmlrpc 2016-07-26 11:30:57 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1488.html

Note You need to log in before you can comment on or make changes to this bug.